Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security
Interface ExportMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface ExportMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean

Provides a set of methods for exporting provider specific data. A provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when a provider extends this MBean and automatically provides a GUI for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `exportData(String format, String filename, Properties constraints)` Exports provider specific data in a specified format.
`String[]` | `getSupportedExportConstraints()` Returns the list of export constraints that this provider supports.
`String[]` | `getSupportedExportFormats()` Returns the list of export data formats that this provider supports.

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### exportData

    public void exportData(String format,
                           String filename,
                           Properties constraints)
                    throws InvalidParameterException,
                           ErrorCollectionException

  Exports provider specific data in a specified format. When errors occur, the MBean throws an ErrorCollectionException containing a list of `java.lang.Exceptions`, where the text of each exception describes the error.

  Parameters:
    `format` - - The format for exporting provider specific data.
    `filename` - - The full path to the filename used to write data.
    `constraints` - - The constraints to be used when exporting data. A null value indicates that all data will be exported.
  Throws:
    `InvalidParameterException`
    `ErrorCollectionException`

### getSupportedExportConstraints

    public String[] getSupportedExportConstraints()

  Returns the list of export constraints that this provider supports.

  A dynamic MBean attribute.
    false

### getSupportedExportFormats

    public String[] getSupportedExportFormats()

  Returns the list of export data formats that this provider supports.

  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD